Locale based string comparison

- « strcmp

- strcspn »

- PHP Manual
- String Functions
- Locale based string comparison

# strcoll

(PHP 4 >= 4.0.5, PHP 5, PHP 7, PHP 8)

strcoll — Locale based string comparison

### Description

strcoll(string `$string1`, string `$string2`): int

Note that this comparison is case sensitive, and unlike strcmp() this function is not binary safe.

strcoll() uses the current locale for doing the comparisons. If the current locale is C or POSIX, this function is equivalent to strcmp().

### Parameters

`string1`

  The first string.

`string2`

  The second string.

### Return Values

Returns < 0 if `string1` is less than `string2`; > 0 if `string1` is greater than `string2`, and 0 if they are equal.

### See Also

- preg_match() - Perform a regular expression match
- strcmp() - Binary safe string comparison
- strcasecmp() - Binary safe case-insensitive string comparison
- substr() - Return part of a string
- stristr() - Case-insensitive strstr
- strncasecmp() - Binary safe case-insensitive string comparison of the first n characters
- strncmp() - Binary safe string comparison of the first n characters
- strstr() - Find the first occurrence of a string
- setlocale() - Set locale information